> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/scan-to-pay-api/public/generate-a-qr-code-in-philippines.md).

# Generate a QR Code in Philippines

<mark style="color:green;">`POST`</mark> /api/v2/public/generate-philippines-qrcode

This API allows you to create a QR Code in Philippines for testing

{% hint style="success" %}
**Supported QR Code in Philippines**
{% endhint %}

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Request Body**

| Name   | Value                                |
| ------ | ------------------------------------ |
| amount | The amount should be paid for QRCode |

**Response**&#x20;

{% tabs %}
{% tab title="200" %}

```json

{
    "success": true,
    "message": "Your request has been successful",
    "data": {
        "qrContent": "00020101021127590012com.p2pqrpay0111UBPHPHMMXXX02089996440304121096453470245204601653036085802PH5921Johann Nicole B Gomez6008ANTIPOLO6304903D",
    },
    "errorCode": 0
}

```

{% endtab %}

{% tab title="400" %}

<pre class="language-json"><code class="lang-json">{
    "success": false,
    "message": "The QR code is invalid. Please check and try again",
    "data": null,
    "errorCode": 32
}
<strong>
</strong>
</code></pre>

{% endtab %}
{% endtabs %}

**Error code**

* The system does not yet support reading this QR code information

**Description of Response Data**&#x20;

<table><thead><tr><th width="170">Name</th><th width="100">Type</th><th width="109">Condition</th><th>Description</th></tr></thead><tbody><tr><td><pre><code>qrContent
</code></pre></td><td>string</td><td>-</td><td>The content of QRCode. It should be used for API<a href="/pages/kf5Ga7qtJPzCjOG27IcC"> get information of QRCode</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/scan-to-pay-api/public/generate-a-qr-code-in-philippines.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
